JUCE: FileBrowserListener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FileBrowserListener Class Referenceabstract
juce_gui_basics » filebrowser

A listener for user selection events in a file browser. More...

`#include <juce_FileBrowserListener.h>`

Inheritance diagram for FileBrowserListener:

## Public Member Functions
virtual | ~FileBrowserListener ()
| Destructor.
virtual void | selectionChanged ()=0
| Callback when the user selects a different file in the browser.
virtual void | fileClicked (const File &file, const MouseEvent &e)=0
| Callback when the user clicks on a file in the browser.
virtual void | fileDoubleClicked (const File &file)=0
| Callback when the user double-clicks on a file in the browser.
virtual void | browserRootChanged (const File &newRoot)=0
| Callback when the browser's root folder changes.

## Detailed Description

A listener for user selection events in a file browser.

This is used by a FileBrowserComponent or FileListComponent.

## Constructor & Destructor Documentation

## ◆ ~FileBrowserListener()

virtual FileBrowserListener::~FileBrowserListener | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ selectionChanged()

virtual void FileBrowserListener::selectionChanged | ( |  | ) |
| pure virtual

Callback when the user selects a different file in the browser.

Implemented in FileBrowserComponent.

## ◆ fileClicked()

virtual void FileBrowserListener::fileClicked | ( | const File & | file,
|  | const MouseEvent & | e
| ) |  |
| pure virtual

Callback when the user clicks on a file in the browser.

Implemented in FileBrowserComponent.

## ◆ fileDoubleClicked()

virtual void FileBrowserListener::fileDoubleClicked | ( | const File & | file | ) |
| pure virtual

Callback when the user double-clicks on a file in the browser.

Implemented in FileBrowserComponent.

## ◆ browserRootChanged()

virtual void FileBrowserListener::browserRootChanged | ( | const File & | newRoot | ) |
| pure virtual

Callback when the browser's root folder changes.

Implemented in FileBrowserComponent.

The documentation for this class was generated from the following file:

- juce_FileBrowserListener.h